#ifndef APP_COLOR_PANEL_H
#define APP_COLOR_PANEL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "panel.h"

#include <memory>

/*************************************************

	F̃pl

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;
struct DRAWVOLUME;

class ColorPanel : public Panel
{
public:
	ColorPanel();	
	virtual ~ColorPanel() throw();

	LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);
protected:
	virtual void ExchangeSettings(Registry *registry);
	virtual void OnInitDialog();
	virtual void DataExchange(UpdateControl *updater);
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void OnControl(int id,int code,LPARAM lparam);
	void OnVScroll(int code,short int pos,HWND bar);
	void OnSelectColor(int color);
	void OnSetTool(int tool);
	void OnColoring();
	void OnColorDetail();
private:
	const std::auto_ptr<class ColorPanelMember> m_m;
};


APP_END_NAMESPACE

#endif
