#ifndef APP_EXCEPTION_H
#define APP_EXCEPTION_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <windows.h>
#include <exception>

/*************************************************

	ONX

**************************************************/

APP_BEGIN_NAMESPACE

class Exception : public std::exception
{
public:
	explicit Exception(int errorCode=0,DWORD apiErrorCode=0) throw();
	Exception(const Exception &source) throw();
	const Exception &operator=(const Exception &source) throw();
	virtual ~Exception() throw();
	virtual const char *what() const throw();
	int GetErrorCode() const throw();
	DWORD GetAPIErrorCode() const throw();
protected:
private:
	int m_errorCode;
	DWORD m_apiErrorCode;
};

APP_END_NAMESPACE

#endif
