#include "prefix.h"

#include "limitdialog.h"
#include "updatecontrol.h"
#include "showerror.h"

#include "resdialog.h"
#include "resstring.h"

/*************************************************

	ʃRg[̐ݒ̃_CAO

**************************************************/

APP_BEGIN_NAMESPACE

LimitDialog::LimitDialog()
:Dialog(IDD_VOLUME_LIMIT)
{
}

LimitDialog::LimitDialog(int id)
:Dialog(id)
{
}

LimitDialog::~LimitDialog() throw()
{

}

//ʃRg[̏l̉𓾂
double LimitDialog::GetVolumeLimit() const
{
	return m_appliedLimit;
}

//ʃRg[̏l̉̐ݒ
void LimitDialog::SetVolumeLimit(double volumeLimit,double lowerLimit)
{
	m_appliedLimit=m_volumeLimit=volumeLimit;
	m_lowerLimit=lowerLimit;
}

//Rg[ƕϐ̃f[^\̍XV
void LimitDialog::DataExchange(UpdateControl *updater)
{
	updater->Edit(IDC_VOLUME_LIMIT,&m_volumeLimit);
}

bool LimitDialog::Apply()
{
	if(m_volumeLimit<m_lowerLimit) {
		ShowError(GetHWND(),IDS_ERR_RANGE_LIMIT,m_lowerLimit);
		return false;
	}
	m_appliedLimit=m_volumeLimit;
	return true;
}

APP_END_NAMESPACE
