#ifndef APP_NAME_DIALOG_H
#define APP_NAME_DIALOG_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "dialog.h"

#include <memory>
#include <tchar.h>

/*************************************************

	O̓_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class NameDialog : public Dialog
{
public:
	NameDialog();	
	virtual ~NameDialog() throw();

	void SetName(const _TCHAR * name);
	const _TCHAR * GetName() const;
protected:
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	NameDialog(const NameDialog &source);
	const NameDialog &operator=(const NameDialog &source);

	const std::auto_ptr<class NameDialogMember> m_m;
};

APP_END_NAMESPACE

#endif
