#ifndef APP_PANEL_H
#define APP_PANEL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "dialog.h"

#include <tchar.h>

/*************************************************

	pl

**************************************************/

APP_BEGIN_NAMESPACE

class Registry;

class Panel : public Dialog
{
public:
	Panel(const _TCHAR * registerKey,int id);	
	virtual ~Panel() throw();

	void Create(HWND parentWindow);

	virtual LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);

	virtual void AppInit(Registry *registry);
	virtual void AppSave(Registry *registry);
	virtual void AppQuit() throw();
protected:
	virtual void ExchangeSettings(Registry *registry);
	virtual void OnClose();
	virtual void OnDestroy();
	void OnShowWindow(bool show,int status);
private:
	RECT m_initWindowRect;	//EBhEƂ̍W
	bool m_initShow;	//n߂ɃEBhE\邩
	const _TCHAR * m_registerKey;	//ݒۑƂ̖O
};

APP_END_NAMESPACE

#endif
