#ifndef APP_PARTICLE_INFO_H
#define APP_PARTICLE_INFO_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "fpoint.h"
#include "colorinfo.h"

/*************************************************

	q̑

**************************************************/

APP_BEGIN_NAMESPACE

//̕@
enum
{
	SPLIT_SINGLE,	//
	SPLIT_FORKED,	//ӂ܂
	SPLIT_DOUBLE,	//

	SPLITMODE_COUNT
};

struct PARTICLE_INFO
{
	void CopyParticleInfo(const PARTICLE_INFO &source);

	COLOR_INFO colorInfo;	//F

	double repulsion;	//͂̑傫
	double repulsionArea;	//̗͂L͈
	double gravity;		//͂̑傫
	double gravityArea;	//̗͂L͈
	double brake;	//̑傫
	double viscosity;	//S̑傫
	double viscosityArea;	//S̗L͈
	double limitedSpeed;	//x
	double spinAngle;	//]̊px
	double spinAngleWiggle;	//]p̗h炬
	double splitAngle1;	//1̊px
	double splitAngle2;	//2̊px
	double splitAngleWiggle;	//̊px̗h炬
	double splitRate;	//̊m
	int life;	//
	int spinStep;	//]̊Ԋu
	int splitMode;	//̕@
	int splitStep1;	//1̊Ԋu
	int splitStep2;	//2̊Ԋu
	int splitLag;	//12̂
	bool useLimitedSpeed;	//x邩
	bool useSpin;	//]邩
	bool useSplit;	//邩
};

//Pɍ\̂ƕĕsKvȂ̂܂ŕȂ
inline void PARTICLE_INFO::CopyParticleInfo(const PARTICLE_INFO &source)
{
	*this=source;
}

APP_END_NAMESPACE

#endif
