#ifndef APP_REPULSION_DETAIL_H
#define APP_REPULSION_DETAIL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "limitdialog.h"

#include <memory>

/*************************************************

	͂̏ڍאݒ

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class RepulsionDetail : public LimitDialog
{
public:
	RepulsionDetail();
	virtual ~RepulsionDetail() throw();

	double GetEffectiveArea() const;
	void SetEffectiveArea(double area);
protected:
	virtual void OnInitDialog();
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	RepulsionDetail(const RepulsionDetail &source);
	const RepulsionDetail &operator=(const RepulsionDetail &source);

	const std::auto_ptr<class RepulsionDetailMember> m_m;
};

APP_END_NAMESPACE

#endif
