#ifndef APP_SITE_H
#define APP_SITE_H

#ifdef _MSC_VER
#pragma once
#endif

#include "siteconfig.h"

/*************************************************

	RpCˑ

**************************************************/

/*RpC̐ݒ
APP_USE_PRECOMPILE_HEADER vRpCwb_[g
APP_NEW_DONT_THROW@newsƂɗO𓊂Ȃ
APP_HAS_NAMESPACE OԂg
APP_NO_LOOP_SCOPE	for̃XR[vʂɂȂĂȂ
APP_BAD_ALLOC_EXCEPTION newO𓊂ȂꍇɃCu[ɓO
APP_ATAN_XY	atan2̈x,yɂČĂяo
APP_API ČĂяoDLL̃GNX|[g֐ɂ
APP_AUTO_PTR_HAS_RESET	std::auto_ptrreset֐
*/

#if _MSC_VER	//Microsoft C++
# define APP_USE_PRECOMPILE_HEADER
# define APP_HAS_NAMESPACE
# define APP_NO_LOOP_SCOPE
# define APP_BAD_ALLOC_EXCEPTION std::bad_alloc
# define APP_ATAN_XY(a_x,a_y) ((a_x!=0||a_y!=0)?atan2(a_y,a_x):0)
# ifdef APP_IMPORT
#   define APP_API __declspec(dllimport) __cdecl
# else
#   define APP_API __declspec(dllexport) __cdecl
# endif

# define snprintf _snprintf
# define vsnprintf _vsnprintf
# define hypot	_hypot
# define makepath _makepath
# define splitpath _splitpath

#elif defined(__BORLANDC__)	//Borland C++
# define APP_USE_PRECOMPILE_HEADER
# define APP_HAS_NAMESPACE
# define APP_ATAN_XY(a_x,a_y) ((a_x!=0||a_y!=0)?atan2(a_y,a_x):0)
# define APP_AUTO_PTR_HAS_RESET
# ifdef APP_IMPORT
#   define APP_API __declspec(dllimport) __cdecl
# else
#   define APP_API __declspec(dllexport) __cdecl
# endif

# define makepath _makepath
# define splitpath _splitpath

#else
# error Add your compiler setting.
#endif

//for̃XR[vʂɂ
#ifdef APP_NO_LOOP_SCOPE
# define FOR if(false); else for
#else
# define FOR for
#endif

//	OԂ̃}N
#ifdef APP_HAS_NAMESPACE
# define APPNAME ::app
# define APP_BEGIN_NAMESPACE namespace app {
# define APP_END_NAMESPACE }
#else
# define APPNAME
# define APP_BEGIN_NAMESPACE
# define APP_END_NAMESPACE
#endif

#ifdef APP_AUTO_PTR_HAS_RESET
# define APP_RESET_AUTO_PTR(a_var,a_type,a_newptr)	\
	a_var.reset(a_newptr)
#else
# define APP_RESET_AUTO_PTR(a_var,a_type,a_newptr)	\
	a_var=std::auto_ptr<a_type>(a_newptr)
#endif

#endif
