#ifndef APP_SPIN_DIALOG_H
#define APP_SPIN_DIALOG_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "dialog.h"

#include <memory>

/*************************************************

	]̐ݒ̃_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class SpinDialog : public Dialog
{
public:
	SpinDialog();
	virtual ~SpinDialog() throw();
protected:
	virtual void OnInitDialog();
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	SpinDialog(const SpinDialog &source);
	const SpinDialog &operator=(const SpinDialog &source);

	const std::auto_ptr<class SpinDialogMember> m_m;
};

APP_END_NAMESPACE

#endif
