#ifndef APP_SPLIT_DIALOG_H
#define APP_SPLIT_DIALOG_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "dialog.h"

#include <memory>

/*************************************************

	̐ݒ̃_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class SplitDialog : public Dialog
{
public:
	SplitDialog();
	virtual ~SplitDialog() throw();
protected:
	virtual void OnInitDialog();
	virtual void OnCommand(int id,int notifyCode,HWND hwnd);
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	SplitDialog(const SplitDialog &source);
	const SplitDialog &operator=(const SplitDialog &source);

	const std::auto_ptr<class SplitDialogMember> m_m;
};

APP_END_NAMESPACE

#endif
