#ifndef APP_TOOL_BASE_H
#define APP_TOOL_BASE_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

/*************************************************

	c[̊{NX

**************************************************/

APP_BEGIN_NAMESPACE

class Core;

struct EVENT_PARAM;

class ToolBase
{
public:
	ToolBase();
	virtual ~ToolBase() throw();

	void Entry(EVENT_PARAM *eventParam);
	virtual bool IsCapturing() const;
	virtual bool IsOperating() const;
protected:
	virtual void Event(EVENT_PARAM *eventParam);

private:
	//`Ȃ
	ToolBase(const ToolBase &source);
	const ToolBase &operator=(const ToolBase &source);
};

APP_END_NAMESPACE

#endif

