#ifndef APP_TOOLTIP_H
#define APP_TOOLTIP_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include "window.h"

#include <windows.h>

/*************************************************

	c[`bv

**************************************************/

APP_BEGIN_NAMESPACE

class ToolTip : public Window
{
public:
	ToolTip();
	virtual ~ToolTip() throw();

	void Create(HWND parentWindow);
	void AddItems(HWND dialog);

private:
	//`Ȃ
	ToolTip(const ToolTip &source);
	const ToolTip &operator=(const ToolTip &source);
};

void SetToolTipText(TOOLTIPTEXT *toolTipText);

APP_END_NAMESPACE

#endif
