#ifndef APP_UPDATE_CONTROL_H
#define APP_UPDATE_CONTROL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

/*************************************************

	_CAÕRg[̍XV

**************************************************/

APP_BEGIN_NAMESPACE

//XV
#define UPDATE_VAR	false	//Rg[ϐ
#define UPDATE_CONTROL	true	//ϐRg[

class Dialog;
class String;
struct FPOINT;
struct IDToValueTable;

//XVRg[̏
class UpdateControl
{
public:
	UpdateControl(Dialog *dialog,bool toControl);
	~UpdateControl() throw();

	bool ToControl() const;

	void Enable(int itemID,bool isEnabled);
	void Edit(int itemID,String *string);
	void Edit(int itemID,int *value);
	void Edit(int itemID,double *value);
	void Check(int itemID,bool *isChecked);
	void Angle(int itemID,double *angle);
	void Volume(int itemID,double *volume);
	void Volume(int itemID,int *volume);
	void Vector(int volumeID,int angleID,FPOINT *vector);
	void Slider(int itemID,int *position);
	void RadioButton(const IDToValueTable *idTable,int *selection);
protected:
private:
	//`Ȃ
	UpdateControl(const UpdateControl &source);
	const UpdateControl &operator=(const UpdateControl &source);

	Dialog *m_dialog;
	bool m_toControl;	//Rg[̑XVȂtrue
};

APP_END_NAMESPACE
#endif
