#ifndef APP_VISCOSITY_DETAIL_H
#define APP_VISCOSITY_DETAIL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "limitdialog.h"

#include <memory>

/*************************************************

	S̏ڍאݒ

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class ViscosityDetail : public LimitDialog
{
public:
	ViscosityDetail();
	virtual ~ViscosityDetail() throw();

	double GetEffectiveArea() const;
	void SetEffectiveArea(double area);
protected:
	virtual void OnInitDialog();
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	ViscosityDetail(const ViscosityDetail &source);
	const ViscosityDetail &operator=(const ViscosityDetail &source);

	const std::auto_ptr<class ViscosityDetailMember> m_m;
};

APP_END_NAMESPACE

#endif
