#ifndef APP_COLOR_TABLE_CONTROL_H
#define APP_COLOR_TABLE_CONTROL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "window.h"

#include <windows.h>
#include <memory>

/*************************************************

	FIRg[̃NX

**************************************************/

APP_BEGIN_NAMESPACE

//APP_WM_CONTROL̃Rg[̖
enum 
{
	COLORTABLE_SELECT,
	COLORTABLE_DRAW_TEXT,
};

class ColorTableControl : public Window
{
public:
	ColorTableControl();
	virtual ~ColorTableControl() throw();

	virtual LRESULT WindowProc(UINT msg,WPARAM wparam,LPARAM lparam);
	void SetLevel(int level);
	void AllocBuffer();
protected:
	void OnDrawItem(DRAWITEMSTRUCT *drawItemStruct);
	UINT OnGetDlgCode() const;
	void OnLButtonDown(int x,int y);
	virtual void OnDestroy();
	void CreateImage(int level);
private:
	//`Ȃ
	ColorTableControl(const ColorTableControl &source);
	const ColorTableControl &operator=(const ColorTableControl &source);

	const std::auto_ptr<class ColorTableMember> m_m;
};

APP_END_NAMESPACE

#endif

