#include "prefix.h"

#include "delay.h"
#include "ucharbuffer.h"

/*************************************************

	f[^\̒x

**************************************************/

APP_BEGIN_NAMESPACE

Delay::Delay()
{
}

Delay::~Delay() throw()
{
}

void Delay::Read(UCharBuffer *buffer)
{
	const int block=1024*8;
	int pointer=0;
	while(!IsEOF()) {
		buffer->Increase(pointer+block);
		pointer+=Read(buffer->GetW()+pointer,block);
	}
	buffer->Realloc(pointer);
}

APP_END_NAMESPACE
