#ifndef APP_DELAY_H
#define APP_DELAY_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

/*************************************************

	f[^\̒x

**************************************************/

APP_BEGIN_NAMESPACE

class UCharBuffer;

class Delay
{
public:
	Delay();
	virtual ~Delay() throw();

	virtual bool IsEOF() const=0;
	virtual int PoolBytes() const=0;
	virtual const unsigned char *Get()=0;
	virtual void Advance(int bytes)=0;
	virtual int Read(void *data,int bytes)=0;

	void Read(UCharBuffer *buffer);
private:
	Delay(const Delay &source);
	const Delay &operator=(const Delay &source);
};

APP_END_NAMESPACE

#endif
