#ifndef APP_HISTORY_READER_H
#define APP_HISTORY_READER_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <memory>

/*************************************************

	̓ǂ݂Ƃ

**************************************************/

APP_BEGIN_NAMESPACE

class History;
class Delay;

class HistoryReader
{

public:
	HistoryReader(History *history);
	~HistoryReader() throw();
	void BeginRead(bool undo);
	void EndRead();
	
	int GetKey() const;
	int GetSubKey() const;

	bool IsEnd() const;
	void Next();

	int ReadInteger();
	double ReadDouble();
	void ReadData(std::auto_ptr<Delay> *delay);	
protected:

private:
	//`Ȃ
	HistoryReader(const HistoryReader &source);
	const HistoryReader &operator=(const HistoryReader &source);

	const std::auto_ptr<class HistoryReaderMember> m_m;
};

APP_END_NAMESPACE

#endif

