#ifndef APP_HISTORY_WRITER_H
#define APP_HISTORY_WRITER_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <memory>

/*************************************************

	̕ۑ

**************************************************/

APP_BEGIN_NAMESPACE

class History;
class Delay;

class HistoryWriter
{

public:
	HistoryWriter(History *history);
	~HistoryWriter() throw();

	bool BeginWrite();
	void EndWrite();

	void Push(int key,int subKey=0);
	void WriteInteger(int value);
	void WriteDouble(double value);
	void WriteData(Delay *delay);
protected:

private:
	//`Ȃ
	HistoryWriter(const HistoryWriter &source);
	const HistoryWriter &operator=(const HistoryWriter &source);

	const std::auto_ptr<class HistoryWriterMember> m_m;
};

APP_END_NAMESPACE

#endif

