#ifndef APP_LIMIT_DIALOG_H
#define APP_LIMIT_DIALOG_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"
#include "dialog.h"

/*************************************************

	ʃRg[̐ݒ̃_CAO

**************************************************/

APP_BEGIN_NAMESPACE

class UpdateControl;

class LimitDialog : public Dialog
{
public:
	LimitDialog();
	explicit LimitDialog(int id);
	virtual ~LimitDialog() throw();

	double GetVolumeLimit() const;
	void SetVolumeLimit(double limit,double lowerLimit);
protected:
	virtual void DataExchange(UpdateControl *updater);
	virtual bool Apply();
private:
	//`Ȃ
	LimitDialog(const LimitDialog &source);
	const LimitDialog &operator=(const LimitDialog &source);

	double m_volumeLimit;	//ʃRg[̏l
	double m_appliedLimit;	//Kp_̏l
	double m_lowerLimit;	//l̉
};

APP_END_NAMESPACE

#endif
