#ifndef APP_TOOL_H
#define APP_TOOL_H

#ifdef _MSC_VER
#pragma once
#endif

#include "site.h"

#include <tchar.h>

/*************************************************

	c[Ǘ

**************************************************/

APP_BEGIN_NAMESPACE

enum TOOL
{
	TOOL_PAINT,	//h
	TOOL_ERASE,	//
	TOOL_BLUR,	//ɂ

	TOOL_COUNT
};

//c[pݒȂ
struct TOOLTYPE
{
	const _TCHAR * name;	//c[̖O
	bool useColor;	//Fg
	bool useOpacity;	//Zg
	bool useSpray;	//Xv[̐ݒg
};

const TOOLTYPE *ToolType(int tool);

struct EVENT_PARAM;
class Registry;

void AppInit_Tool(Registry *registry);
void AppSave_Tool(Registry *registry);
void AppQuit_Tool() throw();

bool IsToolCapturing();
bool IsToolOperating();
void SetTool(int tool);
void ToolEntry(EVENT_PARAM *eventParam);
int GetTool();

APP_END_NAMESPACE

#endif
